Subject: Re: bug#43638: [feature/native-comp] (setf seq-elt) is already defined as something else than a generic function

From: Andrea Corallo <[email-masked]>
Date: Sun, 27 Sep 2020 06:15:31 +0000

Jorge Javier Araya Navarro <[email-masked]> writes:

> hi, I have this "bug". I compiled gccemacs using this PKGBUILD:
>
> https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=emacs-pgtk-native-comp-git
>
> with the following settings in the PKGBUILD set as follows:
> LTO="YES"
> FAST_BOOT="YES"
>
> and this is my Emacs configuration:
>
> https://gitlab.com/shackra/emacs

Well I'm not an archlinux user and I've no idea how the aur mechanism
works exactly.  I fear the best place to ask for that is not here but
where bug for arch packages are collected.

Have you tried compiling from git?  Perhaps you can give it a try so we
can see if the error persist there.

You can just use something like to compile and start it:

=====
git clone git://git.savannah.gnu.org/emacs.git -b feature/native-comp emacs
cd emacs
./autogen.sh
./configure --with-nativecomp
make
./src/emacs -Q
=====

  Andrea